Package org.kapott.hbci.structures

# Class Limit

java.lang.Object
org.kapott.hbci.structures.Limit

public class Limit extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`days`
`int`
`type`
`static final char`
`TYPE_DAILY`
`static final char`
`TYPE_MONTHLY`
`static final char`
`TYPE_SINGLE`
`static final char`
`TYPE_TIME`
`static final char`
`TYPE_WEEKLY`
`Value`
`value`

## Constructor Summary

Constructors
Constructor
Description
`Limit()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_SINGLE

public static final char TYPE_SINGLE

See Also:
  - Constant Field Values

### TYPE_DAILY

public static final char TYPE_DAILY

See Also:
  - Constant Field Values

### TYPE_WEEKLY

public static final char TYPE_WEEKLY

See Also:
  - Constant Field Values

### TYPE_MONTHLY

public static final char TYPE_MONTHLY

See Also:
  - Constant Field Values

### TYPE_TIME

public static final char TYPE_TIME

See Also:
  - Constant Field Values

### type

public int type

### value

public Value value

### days

public int days

## Constructor Details

### Limit

public Limit()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`